Name:          telepathy-mission-control
Version:       5.16.6
Release:       2mamba
Summary:       Central control for Telepathy connection manager
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://telepathy.freedesktop.org/wiki/Mission_Control
Source:        http://telepathy.freedesktop.org/releases/telepathy-mission-control/telepathy-mission-control-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libdbus-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libglib-devel
BuildRequires: libnm-devel
BuildRequires: libsystemd-devel
BuildRequires: telepathy-glib-devel
## AUTOBUILDREQ-END

%description
Telepathy Mission Control is an account manager and channel dispatcher for the Telepathy framework, allowing user interfaces and other clients to share connections to real-time communication services without conflicting.
It implements the AccountManager and ChannelDispatcher D-Bus APIs as described by telepathy-spec.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q

%build
# Warning: does not build with upower >= 0.99
%configure --enable-gtk-doc --disable-static \
   --enable-gnome-keyring \
   --enable-mcd-plugins \
   --with-connectivity=nm \
   --disable-upower

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
   /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas >/dev/null 2>&1 || :
fi
exit 0

%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas >/dev/null 2>&1 || :
exit 0

%files
%defattr(-,root,root)
%{_bindir}/mc-tool
%{_bindir}/mc-wait-for-name
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.*.service
%{_datadir}/glib-2.0/schemas/im.telepathy.MissionControl.FromEmpathy.gschema.xml
%{_libdir}/libmission-control-plugins.so.*
%{_libexecdir}/mission-control-5
%{_mandir}/man1/mc-tool.*
%{_mandir}/man1/mc-wait-for-name.*
%{_mandir}/man8/mission-control*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/mission-control*
%{_includedir}/mission-control*/
%{_libdir}/libmission-control-plugins.so
%{_libdir}/pkgconfig/*.pc
%doc ChangeLog NEWS README

%files apidocs
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/mission-control-plugins

%changelog
* Thu Apr 04 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 5.16.6-2mamba
- rebuilt

* Fri Aug 28 2020 Automatic Build System <autodist@mambasoft.it> 5.16.6-1mamba
- automatic version update by autodist

* Sun Oct 27 2019 Automatic Build System <autodist@mambasoft.it> 5.16.5-1mamba
- automatic version update by autodist

* Sun Sep 04 2016 Automatic Build System <autodist@mambasoft.it> 5.16.4-1mamba
- automatic version update by autodist

* Thu Feb 05 2015 Automatic Build System <autodist@mambasoft.it> 5.16.3-1mamba
- automatic version update by autodist

* Tue Jun 24 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 5.16.2-1mamba
- update to 5.16.2

* Thu Mar 06 2014 Automatic Build System <autodist@mambasoft.it> 5.16.1-1mamba
- automatic version update by autodist

* Sat Nov 02 2013 Automatic Build System <autodist@mambasoft.it> 5.16.0-1mamba
- automatic version update by autodist

* Fri Sep 20 2013 Automatic Build System <autodist@mambasoft.it> 5.15.1-1mamba
- automatic update by autodist

* Thu May 09 2013 Automatic Build System <autodist@mambasoft.it> 5.15.0-1mamba
- automatic version update by autodist

* Fri Oct 12 2012 Automatic Build System <autodist@mambasoft.it> 5.14.0-1mamba
- automatic version update by autodist

* Sat Aug 11 2012 Automatic Build System <autodist@mambasoft.it> 5.13.0-1mamba
- automatic version update by autodist

* Mon Apr 09 2012 Davide Madrisan <davide.madrisan@gmail.com> 5.12.0-1mamba
- package created by autospec
